SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Printer)  >   Lexmark Printer Vendors:   Lexmark
Lexmark Laser Printer Buffer Overflow in Processing PJL Data Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1023735
SecurityTracker URL:  http://securitytracker.com/id/1023735
CVE Reference:   CVE-2010-0619   (Links to External Site)
Date:  Mar 24 2010
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): Various
Description:   A vulnerability was reported in Lexmark Laser Printers. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted Printer Job Language (PJL) data to trigger a buffer overflow and execute arbitrary code on the target printer.

Impact:   A remote user can execute arbitrary code on the target printer.
Solution:   The vendor has issued a fix.

The vendor's advisory is available at:

http://support.lexmark.com/index?page=content&id=TE84

Vendor URL:  support.lexmark.com/index?page=content&id=TE84 (Links to External Site)
Cause:   Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC